## sphinxcontrib-trio 1.1.2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = sphinxcontrib-trio
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
sphinxcontrib-trio (1.1.2-3) unstable; urgency=medium

  * Team upload.
  * Patches: add 01 to remove usage of sphinx's add_stylesheet, replaced
    by add_css_file. (Closes: #1042680)

 -- Jeroen Ploemen <jcfp@debian.org>  Sun, 05 Nov 2023 11:14:55 +0000

sphinxcontrib-trio (1.1.2-2) unstable; urgency=medium

  * Source-only upload

 -- Ben Westover <kwestover.kw@gmail.com>  Mon, 11 Jul 2022 03:44:55 -0400

sphinxcontrib-trio (1.1.2-1) unstable; urgency=medium

  * Initial Package (Closes: #1012580)

 -- Ben Westover <kwestover.kw@gmail.com>  Fri, 10 Jun 2022 09:11:38 +0000

=== debian/control ===
Source: sphinxcontrib-trio
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ben Westover <kwestover.kw@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-sphinx,
 python3-pytest,
 python3-cssselect,
 python3-lxml
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinxcontrib-trio.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinxcontrib-trio
Homepage: https://github.com/python-trio/sphinxcontrib-trio
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-sphinxcontrib.trio
Architecture: all
Depends: ${python3:Depends}, ${sphinxdoc:Depends}, ${misc:Depends}
Description: Make Sphinx better at documenting Python functions and methods
 This sphinx extension helps you document Python code that uses async/await,
 or abstract methods, or context managers, or generators, or ... you get the
 idea. It works by making sphinx's regular directives for documenting Python
 functions and methods smarter and more powerful.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/sphinxcontrib-trio-$1\.tar\.gz/ \
https://github.com/python-trio/sphinxcontrib-trio/tags .*/?(\d\.\d.\d)\.tar\.gz

## sphinxcontrib-trio 1.2.0

=== debian/changelog ===
sphinxcontrib-trio (1.2.0-1) unstable; urgency=medium

  * New upstream version.
  * Update Standards-Version to 4.7.3.
  * Update watch file to version 5.
  * Remove patch that was fixed upstream.

 -- Ben Westover <bjw@debian.org>  Mon, 02 Feb 2026 15:52:55 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sphinxcontrib-trio
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Ben Westover <kwestover.kw@gmail.com>
+Uploaders: Ben Westover <bjw@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -12,11 +11,10 @@
  python3-pytest,
  python3-cssselect,
  python3-lxml
-Standards-Version: 4.6.0
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinxcontrib-trio.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinxcontrib-trio
 Homepage: https://github.com/python-trio/sphinxcontrib-trio
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-sphinxcontrib.trio

=== debian/watch ===
Version: 5
Source: https://github.com/python-trio/sphinxcontrib-trio/tags
